Package org.eclipse.m2m.atl.emftvm.cdo.impl

## Class CDOInstanceOfIterable

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.cdo.impl.CDOInstanceOfIterable

All Implemented Interfaces:
  `java.lang.Iterable<org.eclipse.emf.ecore.EObject>`

    public class CDOInstanceOfIterable
    extends java.lang.Object
    implements java.lang.Iterable<org.eclipse.emf.ecore.EObject>

Makes the instances of the given `EClass` in a `CDOResource` available as an `Iterable`. Inspired by Epsilon's emc-cdo.

### Constructor Summary

Constructors
`CDOInstanceOfIterable​(org.eclipse.emf.cdo.eresource.CDOResource res, org.eclipse.emf.ecore.EClass type)` Creates a new `CDOInstanceOfIterable` around `res` and `type`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.net4j.util.collection.CloseableIterator<org.eclipse.emf.ecore.EObject>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CDOInstanceOfIterable

    public CDOInstanceOfIterable​(org.eclipse.emf.cdo.eresource.CDOResource res,
                                 org.eclipse.emf.ecore.EClass type)

Creates a new `CDOInstanceOfIterable` around `res` and `type`.

Parameters:
  `res` - the resource
  `type` - the EClass

### Method Detail

#### iterator

    public org.eclipse.net4j.util.collection.CloseableIterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<org.eclipse.emf.ecore.EObject>`